Package ghidra.rmi.trace

# Interface TraceRmi.RequestStartTxOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestStartTx`, `TraceRmi.RequestStartTx.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestStartTxOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `string description = 3;`
  `com.google.protobuf.ByteString`
  `getDescriptionBytes()`
  `string description = 3;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.TxId`
  `getTxid()`
  `.ghidra.rmi.trace.TxId txid = 4;`
  `TraceRmi.TxIdOrBuilder`
  `getTxidOrBuilder()`
  `.ghidra.rmi.trace.TxId txid = 4;`
  `boolean`
  `getUndoable()`
  `bool undoable = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasTxid()`
  `.ghidra.rmi.trace.TxId txid = 4;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getUndoable

    boolean getUndoable()
    `bool undoable = 2;`
    Returns:
      The undoable.

  - ### getDescription

    String getDescription()
    `string description = 3;`
    Returns:
      The description.

  - ### getDescriptionBytes

    com.google.protobuf.ByteString getDescriptionBytes()
    `string description = 3;`
    Returns:
      The bytes for description.

  - ### hasTxid

    boolean hasTxid()
    `.ghidra.rmi.trace.TxId txid = 4;`
    Returns:
      Whether the txid field is set.

  - ### getTxid

    TraceRmi.TxId getTxid()
    `.ghidra.rmi.trace.TxId txid = 4;`
    Returns:
      The txid.

  - ### getTxidOrBuilder

    TraceRmi.TxIdOrBuilder getTxidOrBuilder()
    `.ghidra.rmi.trace.TxId txid = 4;`